curl --request POST \
--url https://api.streamkap.com/flink_jobs/{job_id}/cancel \
--header 'Authorization: Bearer <token>'{
"_id": "<string>",
"name": "<string>",
"job_type": "pyflink",
"status": "CREATED",
"flink_job_name": "<string>",
"flink_job_id": "<string>",
"parallelism": 1,
"created_by": "<string>",
"created_timestamp": "2023-11-07T05:31:56Z",
"updated_timestamp": "2023-11-07T05:31:56Z"
}Cancel a running Flink job.
curl --request POST \
--url https://api.streamkap.com/flink_jobs/{job_id}/cancel \
--header 'Authorization: Bearer <token>'{
"_id": "<string>",
"name": "<string>",
"job_type": "pyflink",
"status": "CREATED",
"flink_job_name": "<string>",
"flink_job_id": "<string>",
"parallelism": 1,
"created_by": "<string>",
"created_timestamp": "2023-11-07T05:31:56Z",
"updated_timestamp": "2023-11-07T05:31:56Z"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Successful Response
pyflink, jar CREATED, DEPLOYING, RUNNING, FAILED, CANCELLED, FINISHED Was this page helpful?